Odoo中文社区可以通过以下三个域名访问:shine-it.net , odoocn.org,odoo.net.cn

原论坛用户的基本信息和发帖这里都予以保留,请注意:原论坛用户无需重新注册新用户,但是您的密码需要重置

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

Odoo9 Could not execute command lessc



  • [attachimg=1]<br /><br />参考8.0安装<br />https://www.odoo.com/documentation/8.0/setup/install.html#source-install<br /><br />Less CSS via nodejs<br /><br />on Linux, use your distribution’s package manager to install nodejs and npm.<br /><br />Warning<br />In debian wheezy and Ubuntu 13.10 and before you need to install nodejs manually:<br /><br />$ wget -qO- https://deb.nodesource.com/setup | bash -<br />$ apt-get install -y nodejs<br />In later debian (>jessie) and ubuntu (>14.04) you may need to add a symlink as npm packages call node but debian calls the binary nodejs<br /><br />$ apt-get install -y npm<br />$ sudo ln -s /usr/bin/nodejs /usr/bin/node<br />Once npm is installed, use it to install less and less-plugin-clean-css:<br /><br />$ sudo npm install -g less less-plugin-clean-css<br />on OS X, install nodejs via your preferred package manager (homebrew, macports) then install less and less-plugin-clean-css:<br /><br />$ sudo npm install -g less less-plugin-clean-css<br />on Windows, install nodejs, reboot (to update the PATH) and install less and less-plugin-clean-css:<br /><br />C:&gt; npm install -g less less-plugin-clean-css<br /><br />--------cetos6.5-------<br />yum install -y nodejs<br />yum install -y npm<br />ln -s /usr/bin/nodejs /usr/bin/node<br />npm install -g less less-plugin-clean-css<br /> reboot<br /><br /><br /><br />[attachimg=2]<br /><br />by 珠海-飞飞 haogefeifei@qq.com(540744679)



  • [attachimg=1]<br /><br />参考8.0安装<br />https://www.odoo.com/documentation/8.0/setup/install.html#source-install<br /><br />Less CSS via nodejs<br /><br />on Linux, use your distribution’s package manager to install nodejs and npm.<br /><br />Warning<br />In debian wheezy and Ubuntu 13.10 and before you need to install nodejs manually:<br /><br />$ wget -qO- https://deb.nodesource.com/setup | bash -<br />$ apt-get install -y nodejs<br />In later debian (>jessie) and ubuntu (>14.04) you may need to add a symlink as npm packages call node but debian calls the binary nodejs<br /><br />$ apt-get install -y npm<br />$ sudo ln -s /usr/bin/nodejs /usr/bin/node<br />Once npm is installed, use it to install less and less-plugin-clean-css:<br /><br />$ sudo npm install -g less less-plugin-clean-css<br />on OS X, install nodejs via your preferred package manager (homebrew, macports) then install less and less-plugin-clean-css:<br /><br />$ sudo npm install -g less less-plugin-clean-css<br />on Windows, install nodejs, reboot (to update the PATH) and install less and less-plugin-clean-css:<br /><br />C:&gt; npm install -g less less-plugin-clean-css<br /><br />--------cetos6.5-------<br />yum install -y nodejs<br />yum install -y npm<br />ln -s /usr/bin/nodejs /usr/bin/node<br />npm install -g less less-plugin-clean-css<br /> reboot<br /><br /><br /><br />[attachimg=2]<br /><br />by 珠海-飞飞 haogefeifei@qq.com(540744679)



  • 这两天一直困扰中,感谢分享。



  • 感谢!



  • 也遇到了楼主的问题,,,,谢谢分享



  • 已搞定,问题出在自己 攻略没读清楚, (14.04 应该 从 apt-get install npm 开始,若是执行了之前的,就是噩梦了。。。)<br />谢谢 楼主。<br /><br />ubuntu server 14.04 安装 之后 ,有个小报错 npm WARN engine hawk@3.1.0: wanted: {"node":">=0.10.32"} (current: {"node":"v0.10.25","npm":"1.3.10"}) 但不影响使用<br /><br />另外,还需要 安装:<br />apt-get install node-less<br />不然 依然会报错 ! 安装  node-less 后,世界清静了!! :)<br /><br /><br /><br />



  • Odoo9.0绿色版,已解决Lessc问题,详:<br />                    [url=http://:http://blog.sina.com.cn/s/blog_7cb52fa80102vo33.html]:http://blog.sina.com.cn/s/blog_7cb52fa80102vo33.html[/url]


登录后回复
 

与 Odoo 中文社区 的连接断开,我们正在尝试重连,请耐心等待